.wnc-freedom: &wnc_freedom
  needs:
    - job: build test qca_ipq95xx prpl cellular security
      optional: true
  extends:
    - .wnc-freedom testbed
    - .cdrouter

CDRouter-Top-100+mDNS Freedom initramfs:
  <<: *wnc_freedom
  variables:
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh

CDRouter-Top-100+mDNS Freedom VLAN WAN/LAN initramfs:
  <<: *wnc_freedom
  variables:
    CDROUTER_TEST_CONFIG: vlan
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-vlans.sh

CDRouter-Top-100+mDNS Freedom PPPoE WAN initramfs:
  <<: *wnc_freedom
  variables:
    CDROUTER_TEST_CONFIG: ppp
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-pppoe.sh

CDRouter-Wireless Freedom initramfs:
  <<: *wnc_freedom
  stage: cdrouter smoke
  variables:
    CDROUTER_TEST_CONFIG: wireless
    CDROUTER_CONFIG_WIFI_BEACON_PHY: 'ax b be g n'
    CDROUTER_CONFIG_WIFI_BEACON_RSN_CIPHER: 'CCMP-128 GCMP-256'
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-wireless.sh


.wnc-freedom-ipv6: &wnc_freedom_ipv6
  <<: *wnc_freedom
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - if: '$TFTP_IMAGE_DOWNLOAD_URL =~ $TFTP_IMAGE_FILENAME_PATTERN'
      when: always
    - if: '$TFTP_IMAGE_DOWNLOAD_URL'
      when: never
    - if: '$CI_COMMIT_BRANCH == $CI_DESIGNATED_BRANCH'
    - when: manual

CDRouter-UPnP-IPv46 Freedom initramfs:
  <<: *wnc_freedom_ipv6
  allow_failure: true
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6-upnp
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh

CDRouter-IPv6-Top-100+mDNS Freedom initramfs:
  <<: *wnc_freedom_ipv6
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh

prpl-Certification Freedom initramfs:
  <<: *wnc_freedom_ipv6
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - when: manual
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh

CDRouter-IPv6-Top-100+mDNS Freedom VLAN WAN/LAN initramfs:
  <<: *wnc_freedom_ipv6
  variables:
    CDROUTER_TEST_CONFIG: vlan-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-vlans.sh

.CDRouter-IPv6-Top-100+mDNS Freedom PPPoE WAN initramfs:
  <<: *wnc_freedom_ipv6
  variables:
    CDROUTER_TEST_CONFIG: ppp-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-pppoe.sh

CDRouter-TR-069 Freedom eMMC:
  <<: *wnc_freedom
  variables:
    LABGRID_TARGET: wnc-freedom-emmc
    TFTP_IMAGE_FILENAME: prplos-ipq95xx-generic-prpl_freedom-squashfs-sysupgrade.bin
    TFTP_IMAGE_FILENAME_PATTERN: /.*prplos-ipq95xx-generic-prpl_freedom-squashfs-sysupgrade.bin/
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-tr181-mockups.sh

CDRouter-USP-prpl Freedom initramfs:
  <<: *wnc_freedom
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - when: manual
  variables:
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh

prplWare-Smoke-Test-Suite Freedom initramfs:
  <<: *wnc_freedom_ipv6
  stage: cdrouter smoke
  variables:
    CDROUTER_TEST_CONFIG: smoke-test
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-tr181-mockups.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
